* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}

h1 {
    text-transform: uppercase;
    padding-bottom: 3vh;
}

h2 {
    text-transform: uppercase;
    padding-bottom: 10px;
}

table {
    border-spacing: 4px;
}

.table {
    display: flex;
    flex-wrap: wrap;
    width: 580px;
}

.table div {
    width: 50px;
    height: 50px;
    border: 1px solid #dedede;
    margin: 3px;
    transition: background-color .3s ease, border .2s ease;
}

.table div:hover {
    background-color: rgba(0, 0, 0, 0.05);
    border: 1px solid #c9c9c9;
}

.wrapper .table .active {
    background-color: #7d95c4;
}

.wrapper .table .active:hover {
    background-color: #627bae;
}

.wrapper .table .userWin {
    background-color: #62ae7b;
}

.wrapper .table .userWin {
    background-color: #62ae7b;
}

.wrapper .table .pcWin {
    background-color: #bb6e5f;
}

.wrapper .table .pcWin:hover {
    background-color: #bb6e5f;
}

td:hover {
    background-color: rgba(0, 0, 0, 0.05);
}

.wrapper {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.difficulty {
    display: flex;
    flex-direction: row;
    padding-bottom: 2vh;
    
}

.difficulty div {
    margin-left: 2vw;
    margin-right: 2vw;
    padding-top: 10px;
    padding-bottom: 10px;
    text-decoration: underline;
    cursor: pointer;
}

.result {
    position: absolute;
    height: 300px;
    width: 500px;
    border: 1px solid #c9c9c9;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.restartBtn {
    text-decoration: underline;
    cursor: pointer;
    padding-top: 5px;
    padding-bottom: 5px;
}